JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MarkerList::MarkerListHolder Struct Referenceabstract
juce_gui_basics » positioning

A base class for objects that want to provide a MarkerList. More...

`#include <juce_MarkerList.h>`

## Public Member Functions
virtual | ~MarkerListHolder ()=default
virtual MarkerList * | getMarkers (bool xAxis)=0
| Objects can implement this method to provide a MarkerList.

## Detailed Description

A base class for objects that want to provide a MarkerList.

## Constructor & Destructor Documentation

## ◆ ~MarkerListHolder()

virtual MarkerList::MarkerListHolder::~MarkerListHolder | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getMarkers()

virtual MarkerList * MarkerList::MarkerListHolder::getMarkers | ( | bool | xAxis | ) |
| pure virtual

Objects can implement this method to provide a MarkerList.

The documentation for this struct was generated from the following file:

- juce_MarkerList.h